Create a label
POST/api/v1/workspaces/{workspace_slug}/projects/{project_id}/labels/
Creates a new label in a project.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
project_id:requiredstringThe unique identifier of the project.
Body Parameters
name:requiredstringName of the label.
Scopes
projects.labels:write
Create a label
bash
curl -X POST \ "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/labels/" \ -H "X-API-Key: $PLANE_API_KEY" \ # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "example-name" }'python
import requests response = requests.post( "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/labels/", headers={"X-API-Key": "your-api-key"}, json={ 'name': 'example-name' } ) print(response.json())javascript
const response = await fetch("https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/labels/", { method: "POST", headers: { "X-API-Key": "your-api-key", "Content-Type": "application/json", }, body: JSON.stringify({ name: "example-name", }), }); const data = await response.json();Response201
json
{ "id": "project-uuid", "name": "Project Name", "identifier": "PROJ", "description": "Project description", "created_at": "2024-01-01T00:00:00Z" }
